Reservations

Reservations made in the caller's driver session

GET
/api/reservations

Reservations made in the caller's driver session.

Response Body

application/json

curl -X GET "https://example.com/api/reservations"
{  "reservations": [    {      "id": "string",      "providerMode": "PAYPAL_SANDBOX",      "paymentState": "QUOTE_ACCEPTED",      "serviceState": "AWAITING_PAYMENT",      "slotsCommitted": true,      "portLabel": "string",      "merchantName": "string",      "timeZone": "string",      "plugInMs": 0,      "departMs": 0,      "targetBatteryWh": 0,      "powerW": [        0      ],      "termsHash": "string",      "economics": {        "listPriceCents": 0,        "priceCents": 0,        "discountCents": 0,        "energyCostCents": 0,        "baselineEnergyCostCents": 0,        "operatorImprovementCents": 0      },      "proofs": [        {          "type": "BUYER_APPROVED",          "ref": "string",          "status": "string",          "amountCents": 0        }      ]    }  ]}